Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032709
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-04-19 12:462017-09-28 15:44
ReporteryogaskarnikView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision8cbfd762b584
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032709: Sales Invoice - Invoice Term=Immediate does not create link to Good Shipment in Sales Invoice

DescriptionSales Invoice - Invoice Term=Immediate does not create link to Good Shipment in Sales Invoice
Steps To Reproduce1.Login to erp_pi_pgsql
2.Create a Sales Order with Invoice Term=Immediate
3.Navigate to Create Shipment from Orders
4.Filter the existing Sales Order created and click on Process button to create goods shipment
5.Navigate to Create Invoice from Orders
6.Filter the existing Sales Order created and click on Process button to create sales invoice
7.Observe that the Sales Invoice Line is not associated to the the Goods Shipment Line (This link is there for other Sales Invoice Terms)

NOTE: This is causing the Sales Invoice Dimensional Report to show 0 cost for invoices
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024355 closedAtulOpenbravo "Good Shipment Line" field information is not filled when creating POS Order with Invoice Terms=Immediate 
related to defect 0032670 closedcollazoandy4 "Good Shipment Line" field information is not filled in Sales Invoice Line when processing On Credit Order 
related to defect 0028685pi closedreinaldoguerra Goods shipment and invoice relationship not created when launching "Create shipments from orders" form. 
related to design defect 0036971 newTriage Finance Different behaviour in Create lines From or Create Invoices From Orders processes if invoice terms are Immediate 
related to defect 0032938 closedAtulOpenbravo It is necessary a script to add the 1-1 relation between sales invoice line and goods shipment line 
related to design defect 0033042 newTriage Finance Partially shipped Goods Shipment Line is linked to completely invoiced Sales Invoice Line 

-  Notes
(0086225)
AtulOpenbravo (developer)
2016-05-05 20:09
edited on: 2016-05-09 13:07

Test Plan A
- Login as F&B International Group Admin
- Create a Sales Order with Invoice Term=Immediate. Add one line for any product.
- Navigate to Create Shipment from Orders.
- Filter existing Sales Order created and click on Process button to create goods shipment.
- Navigate to Create Invoice from Orders
- Filter existing Sales Order created, Invoice Date = Today's Date and click on Process button to create sales invoice.
- Check that the Sales Invoice Line is associated with the Goods Shipment Line.

Repeat same test as above for a sales order including more than one line. Check that each invoice line is related to the corresponding goods shipment line.

Repeat same test as above by using "After Delivery" Invoice Terms.

Test Plan B

- Create new POS Order for any BP ensuring that Invoice Terms=Immediate.
- Add any line and process. Shipment and Invoice are automatically created
- Navigate to Sales Invoice Line and verify that, in More Information section, "Good Shipment Line" information is properly shown.

Repeat same test as above for a POS order including more than one line. Check that each invoice line is related to the corresponding goods shipment line.

Repeat same test as above by using "After Delivery" Invoice Terms.

(0086303)
psanjuan (manager)
2016-05-09 11:38

Issue verified.
(0086310)
psanjuan (manager)
2016-05-09 13:18
edited on: 2016-05-09 13:35

Test plan above verified.


Additional test:

Test Plan C

- Login as F&B International Group Admin.

- Create a Sales Order for F&B España org, BP Alimentos.
Add two lines for more than one unit of any product:
* Agua sin Gas 1L -> 10 units
* Bebida Energética 0.5L-> 11 units.
- Book the order.

- Navigate to Goods Shipment and create a new one for BP Alimentos by using "Create Lines From" select the two order lines of the sales order created above. Enter a storage bin location. Press OK.

- go to lines and edit the Quantity as below:
* Agua sin Gas 1L -> 5 units
* Bebida Energética 0.5L-> 3 units.
- Complete the Shipment.

- Navigate to Create Invoices from Order, select above Order, Invoice Date = Today's Date, Process it.

- Check that Sales Invoice is created with 2 lines and below quantity (full quantity):
* Agua sin Gas 1L -> 10 units
* Bebida Energética 0.5L-> 11 units.
- Check that for each line of the invoice, "Goods Shipment Line" is empty.

- Navigate to Create Shipment from Order, select above Order and process it.

- Check that a Shipment has been created for the remaining quantity:

* Agua sin Gas 1L -> 5 units
* Bebida Energética 0.5L-> 8 units.

- Navigate once more to the Sales Invoice, check for each line that "Goods Shipment Line" field is empty as there are more than one goods shipment related for the line.

Test Plan D.

- Go to sales order window and create a new one for BP Alimentos, Invoice Terms = Inmediate. Add two lines. Book the order
- Go to Goods Shipment window and create a new one. Ship first order line completely by using Create Lines From. Complete shipment.
- Go to Create shipments from orders, select the order and process. Verify that a new goods shipment has been created with the second order line.
- Go to Create Invoices from orders and select the order, enter today's date as invoice date and process.
- Go to sales invoice window and search by the new invoice created. Check that each invoice line is related to the corresponding goods shipment.

Repeat same test as above for Invoice Terms = After Delivery. Check that two invoices are created, the lines of those invoices are related to the corresponding goods shipment.

Test Plan E.

- Go to sales order window and create a new order for BP Alimentos. Add two lines of any product, more than 1 unit. Book the order. Invoice Terms = Inmediate.
- Go to Goods Shipment window and receipt part of the first order line previously created by using Create lines from option. Complete the shipment.
- Go to Create Shipments from orders and select the order. Process.
- Go to the new shipment created and check that this shipment includes remaining part of first order line and full quantity of second order line.
- Go to Create Invoices from orders, select the order, enter an invoice date and process.
- Go to the sales invoice created, check that "Goods Shipment Line" field is empty for the first line (as there are more than one shipment related) and filled in for the second invoice line (as there is only one shipment related).

Repeat same test as above for Invoice Terms = After Delivery.

(0086311)
psanjuan (manager)
2016-05-09 13:40

Test Plan above verified.

Issue can be code reviewed and closed.
(0086688)
hgbot (developer)
2016-05-23 20:11

Repository: erp/devel/pi
Changeset: 8cbfd762b584f2107aef10ec5d7c1e3f727f6f28
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu May 05 23:32:13 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8cbfd762b584f2107aef10ec5d7c1e3f727f6f28 [^]

Fixes issue 32709: Create link to Good Shipment in Create Invoice from Orders

Fully shipped lines linked with invoice lines not only in case of POS Order but in any case

---
M src-db/database/model/functions/C_INVOICE_CREATE.xml
---
(0086689)
aferraz (developer)
2016-05-23 20:12
edited on: 2016-05-23 20:12

Code review OK

(0087558)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-04-19 12:46 yogaskarnik New Issue
2016-04-19 12:46 yogaskarnik Assigned To => Triage Finance
2016-04-19 12:46 yogaskarnik Modules => Core
2016-04-19 12:46 yogaskarnik Triggers an Emergency Pack => No
2016-04-21 11:13 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-05-05 07:38 AtulOpenbravo Status new => scheduled
2016-05-05 11:07 ngarcia Issue Monitored: ngarcia
2016-05-05 20:09 AtulOpenbravo Note Added: 0086225
2016-05-06 06:12 AtulOpenbravo Note Edited: 0086225 View Revisions
2016-05-09 11:38 psanjuan Note Added: 0086303
2016-05-09 13:02 psanjuan Note Edited: 0086225 View Revisions
2016-05-09 13:03 psanjuan Note Edited: 0086225 View Revisions
2016-05-09 13:06 psanjuan Note Edited: 0086225 View Revisions
2016-05-09 13:07 psanjuan Note Edited: 0086225 View Revisions
2016-05-09 13:18 psanjuan Note Added: 0086310
2016-05-09 13:19 psanjuan Note Edited: 0086310 View Revisions
2016-05-09 13:28 psanjuan Note Edited: 0086310 View Revisions
2016-05-09 13:35 psanjuan Note Edited: 0086310 View Revisions
2016-05-09 13:40 psanjuan Note Added: 0086311
2016-05-11 13:16 aferraz Relationship added related to 0024355
2016-05-11 13:16 aferraz Relationship added related to 0032670
2016-05-11 13:16 aferraz Relationship added related to 0028685
2016-05-11 13:56 aferraz Severity major => minor
2016-05-11 13:57 aferraz Note Added: 0086377
2016-05-11 13:58 aferraz File Added: 32709.diff
2016-05-12 10:01 ngarcia Relationship added blocks 0032938
2016-05-12 10:01 ngarcia Relationship deleted blocks 0032938
2016-05-12 10:02 ngarcia Relationship added related to 0032938
2016-05-23 12:33 maite Priority normal => urgent
2016-05-23 12:33 maite Severity minor => major
2016-05-23 12:33 maite Steps to Reproduce Updated View Revisions
2016-05-23 20:11 hgbot Checkin
2016-05-23 20:11 hgbot Note Added: 0086688
2016-05-23 20:11 hgbot Status scheduled => resolved
2016-05-23 20:11 hgbot Resolution open => fixed
2016-05-23 20:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8cbfd762b584f2107aef10ec5d7c1e3f727f6f28 [^]
2016-05-23 20:11 aferraz File Deleted: 32709.diff
2016-05-23 20:11 aferraz Note Deleted: 0086377
2016-05-23 20:12 aferraz Review Assigned To => aferraz
2016-05-23 20:12 aferraz Note Added: 0086689
2016-05-23 20:12 aferraz Status resolved => closed
2016-05-23 20:12 aferraz Fixed in Version => 3.0PR16Q3
2016-05-23 20:12 aferraz Note Edited: 0086689 View Revisions
2016-05-25 09:01 AtulOpenbravo Relationship added related to 0033042
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087558
2017-09-28 15:44 ngarcia Relationship added related to 0036971


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker